Summary: INN spam filter
Name: cleanfeed
%define version 0.95.7b
Version: %{version}
Release: 1
Copyright: distributable
Group: Networking/Daemons
Source0: ftp://ftp.exit109.com/users/jeremy/cleanfeed-%{version}.tar.gz
Patch0: cleanfeed-0.95.7b-redhat.patch
Buildroot: /var/tmp/cleanfeed-root
Requires: perl-MD5
BuildArchitectures: noarch

%changelog
* Thu Sep 03 1998 Cristian Gafton <gafton@redhat.com>
- update to 0.95.7b

* Fri May 01 1998 Cristian Gafton <gafton@redhat.com>
- spec file cleanups
- patch to get rod of /usr/local/bin/perl

* Mon Apr 13 1998 Bryan C. Andregg <bandregg@redhat.com>
- first package

%description
Cleanfeed is an automatic filter for INN that removes spam from incoming
newsfeeds.

%prep
%setup
%patch0 -p1 -b .rh

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/news
mkdir -p $RPM_BUILD_ROOT/usr/man/man8
mkdir -p $RPM_BUILD_ROOT/usr/lib/news/bin/control
install -m 0644  -o news -g news cleanfeed.conf $RPM_BUILD_ROOT/etc/news/
install -m 0644  -o root  -g root cleanfeed.8 $RPM_BUILD_ROOT/usr/man/man8/
install -m 0750  -o news -g news cleanfeed \
	$RPM_BUILD_ROOT/usr/lib/news/bin/control/filter_innd.pl

%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr(-,news,news) %config /etc/news/cleanfeed.conf
/usr/man/man8/cleanfeed.8
%attr(-,news,news) /usr/lib/news/bin/control/filter_innd.pl
